.Select {
  width: 100%;
  &.Select--single, &.Select--multi  {
    > .Select-control {
      border-radius: $form-input-radius;
      border-width: $form-input-border-width;
      border-style: $form-input-border-style;
      border-color: $form-input-border-color;
    }
    .Select-placeholder {
      line-height: 1 !important;
      font-size: $form-input-size;
      padding-left: $form-input-padding-horizontal !important;
      display: flex;
      align-items: center;
    }
  }
  .Select-input {
    height: auto;
    padding: calc(#{$form-input-padding-vertical} - 1px) $form-input-padding-horizontal !important;
    > input {
      padding: 0;
      height: 100%;
    }
  }
  &.Select--single {
    > .Select-control {
      height: calc(16px + (2 * #{$form-input-padding-vertical}));
    }
    .Select-value {
      display: flex;
      align-items: center;
      line-height: 1;
    }
  }
  &.Select--multi {
    .Select-multi-value-wrapper {
      display: flex !important;
      align-items: center;
      flex-wrap: wrap !important;
      height: 100%;
      padding: calc(#{$form-input-padding-vertical} - 1px) $form-input-padding-horizontal !important;
      .Select-input {
        padding: 0 !important;
      }
    }
    .Select-input {
      margin-left: 0 !important;
    }
    .Select-value {
      margin: 3px !important;
      + .Select-input {
        // height: 26px !important;
        input {
          padding: 0;
          height: 100%;
          text-align: left;
        }
      }
    }
  }
  &.has-value {
    &.Select--multi {
      .Select-multi-value-wrapper {
        padding: calc(#{$form-input-padding-vertical} - 6px) $form-input-padding-horizontal !important;
      }
    }
  }
}


.Select-menu-outer {
  z-index: 99999 !important;
}


.btn-select.Select {
  width: 260px;
  @extend %flexbox;
  @include align-items(center);
  &.btn-plus {
    .Select-placeholder {
      @extend %flexbox;
      @include justify-content(space-between);
      &:after {
        content: "+";
        font-size: 20px;
      }
    }
    .Select-arrow-zone {
      display: none;
    }
  }
  &.Select--single {
    > .Select-control {
      border: $btn-primary-border-width $btn-primary-border-style $btn-primary-border-color;
      border-radius: 30px;
      cursor: pointer;
      .Select-placeholder, .Select-value {
        color: $second-color;
        text-transform: uppercase;
        font-weight: 600;
        font-size: 14px;
      }
    }
  }
  .Select-menu-outer {
    z-index: 99999 !important;
    width: 260px;
    background-color: $first-color;
    box-shadow: 0 2px 10px rgba(#000,.2);
    position: absolute;
    border-color: #ccc;
    &:after {
      content:"";
      position: absolute;
      left: 20px;
      top: -8px;
      width: 0;
      height: 0;
      border-left: 8px solid transparent;
      border-right: 8px solid transparent;
      border-bottom: 8px solid $first-color;
    }
    &:before {
      content:"";
      position: absolute;
      left: 20px;
      top: -9px;
      width: 0;
      height: 0;
      border-left: 8px solid transparent;
      border-right: 8px solid transparent;
      border-bottom: 8px solid #ccc;
    }
  }
  .Select-option {
    background-color: $first-color;
    color: #fff;
  }
  .Select-option.is-selected {
    background-color: lighten($first-color, 10%);
    color: #fff;
  }
  .Select-option.is-focused {
    background-color: lighten($first-color, 10%);
    color: #fff;
  }
}

